package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class PartitionMemoryConfiguration {
    private Metadata metadata;
    private String activeMemoryExpansionEnabled;
    private String activeMemorySharingEnabled;
    private String barrierSynchronizationRegisterArrayCount;
    private String desiredHugePageCount;
    private String desiredMemory;
    private String hardwarePageTableRatio;
    private String maximumHugePageCount;
    private String maximumMemory;
    private String minimumHugePageCount;
    private String minimumMemory;
    private String currentBarrierSynchronizationRegisterArrays;
    private String currentHardwarePageTableRatio;
    private String currentHugePageCount;
    private String currentMaximumHugePageCount;
    private String currentMaximumMemory;
    private String currentMemory;
    private String currentMinimumHugePageCount;
    private String currentMinimumMemory;
    private String memoryExpansionEnabled;
    private String redundantErrorPathReportingEnabled;
    private String runtimeHugePageCount;
    private String runtimeMemory;
    private String runtimeMinimumMemory;
    private String sharedMemoryEnabled;

    public PartitionMemoryConfiguration() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getActiveMemoryExpansionEnabled() {
        return activeMemoryExpansionEnabled;
    }

    public void setActiveMemoryExpansionEnabled(String activeMemoryExpansionEnabled) {
        this.activeMemoryExpansionEnabled = activeMemoryExpansionEnabled;
    }

    public String getActiveMemorySharingEnabled() {
        return activeMemorySharingEnabled;
    }

    public void setActiveMemorySharingEnabled(String activeMemorySharingEnabled) {
        this.activeMemorySharingEnabled = activeMemorySharingEnabled;
    }

    public String getBarrierSynchronizationRegisterArrayCount() {
        return barrierSynchronizationRegisterArrayCount;
    }

    public void setBarrierSynchronizationRegisterArrayCount(String barrierSynchronizationRegisterArrayCount) {
        this.barrierSynchronizationRegisterArrayCount = barrierSynchronizationRegisterArrayCount;
    }

    public String getDesiredHugePageCount() {
        return desiredHugePageCount;
    }

    public void setDesiredHugePageCount(String desiredHugePageCount) {
        this.desiredHugePageCount = desiredHugePageCount;
    }

    public String getDesiredMemory() {
        return desiredMemory;
    }

    public void setDesiredMemory(String desiredMemory) {
        this.desiredMemory = desiredMemory;
    }

    public String getHardwarePageTableRatio() {
        return hardwarePageTableRatio;
    }

    public void setHardwarePageTableRatio(String hardwarePageTableRatio) {
        this.hardwarePageTableRatio = hardwarePageTableRatio;
    }

    public String getMaximumHugePageCount() {
        return maximumHugePageCount;
    }

    public void setMaximumHugePageCount(String maximumHugePageCount) {
        this.maximumHugePageCount = maximumHugePageCount;
    }

    public String getMaximumMemory() {
        return maximumMemory;
    }

    public void setMaximumMemory(String maximumMemory) {
        this.maximumMemory = maximumMemory;
    }

    public String getMinimumHugePageCount() {
        return minimumHugePageCount;
    }

    public void setMinimumHugePageCount(String minimumHugePageCount) {
        this.minimumHugePageCount = minimumHugePageCount;
    }

    public String getMinimumMemory() {
        return minimumMemory;
    }

    public void setMinimumMemory(String minimumMemory) {
        this.minimumMemory = minimumMemory;
    }

    public String getCurrentBarrierSynchronizationRegisterArrays() {
        return currentBarrierSynchronizationRegisterArrays;
    }

    public void setCurrentBarrierSynchronizationRegisterArrays(String currentBarrierSynchronizationRegisterArrays) {
        this.currentBarrierSynchronizationRegisterArrays = currentBarrierSynchronizationRegisterArrays;
    }

    public String getCurrentHardwarePageTableRatio() {
        return currentHardwarePageTableRatio;
    }

    public void setCurrentHardwarePageTableRatio(String currentHardwarePageTableRatio) {
        this.currentHardwarePageTableRatio = currentHardwarePageTableRatio;
    }

    public String getCurrentHugePageCount() {
        return currentHugePageCount;
    }

    public void setCurrentHugePageCount(String currentHugePageCount) {
        this.currentHugePageCount = currentHugePageCount;
    }

    public String getCurrentMaximumHugePageCount() {
        return currentMaximumHugePageCount;
    }

    public void setCurrentMaximumHugePageCount(String currentMaximumHugePageCount) {
        this.currentMaximumHugePageCount = currentMaximumHugePageCount;
    }

    public String getCurrentMaximumMemory() {
        return currentMaximumMemory;
    }

    public void setCurrentMaximumMemory(String currentMaximumMemory) {
        this.currentMaximumMemory = currentMaximumMemory;
    }

    public String getCurrentMemory() {
        return currentMemory;
    }

    public void setCurrentMemory(String currentMemory) {
        this.currentMemory = currentMemory;
    }

    public String getCurrentMinimumHugePageCount() {
        return currentMinimumHugePageCount;
    }

    public void setCurrentMinimumHugePageCount(String currentMinimumHugePageCount) {
        this.currentMinimumHugePageCount = currentMinimumHugePageCount;
    }

    public String getCurrentMinimumMemory() {
        return currentMinimumMemory;
    }

    public void setCurrentMinimumMemory(String currentMinimumMemory) {
        this.currentMinimumMemory = currentMinimumMemory;
    }

    public String getMemoryExpansionEnabled() {
        return memoryExpansionEnabled;
    }

    public void setMemoryExpansionEnabled(String memoryExpansionEnabled) {
        this.memoryExpansionEnabled = memoryExpansionEnabled;
    }

    public String getRedundantErrorPathReportingEnabled() {
        return redundantErrorPathReportingEnabled;
    }

    public void setRedundantErrorPathReportingEnabled(String redundantErrorPathReportingEnabled) {
        this.redundantErrorPathReportingEnabled = redundantErrorPathReportingEnabled;
    }

    public String getRuntimeHugePageCount() {
        return runtimeHugePageCount;
    }

    public void setRuntimeHugePageCount(String runtimeHugePageCount) {
        this.runtimeHugePageCount = runtimeHugePageCount;
    }

    public String getRuntimeMemory() {
        return runtimeMemory;
    }

    public void setRuntimeMemory(String runtimeMemory) {
        this.runtimeMemory = runtimeMemory;
    }

    public String getRuntimeMinimumMemory() {
        return runtimeMinimumMemory;
    }

    public void setRuntimeMinimumMemory(String runtimeMinimumMemory) {
        this.runtimeMinimumMemory = runtimeMinimumMemory;
    }

    public String getSharedMemoryEnabled() {
        return sharedMemoryEnabled;
    }

    public void setSharedMemoryEnabled(String sharedMemoryEnabled) {
        this.sharedMemoryEnabled = sharedMemoryEnabled;
    }

    @Override
    public String toString() {
        return "PartitionMemoryConfiguration [metadata=" + metadata + ", activeMemoryExpansionEnabled="
            + activeMemoryExpansionEnabled + ", activeMemorySharingEnabled=" + activeMemorySharingEnabled
            + ", barrierSynchronizationRegisterArrayCount=" + barrierSynchronizationRegisterArrayCount
            + ", desiredHugePageCount=" + desiredHugePageCount + ", desiredMemory=" + desiredMemory
            + ", hardwarePageTableRatio=" + hardwarePageTableRatio + ", maximumHugePageCount="
            + maximumHugePageCount + ", maximumMemory=" + maximumMemory + ", minimumHugePageCount="
            + minimumHugePageCount + ", minimumMemory=" + minimumMemory
            + ", currentBarrierSynchronizationRegisterArrays=" + currentBarrierSynchronizationRegisterArrays
            + ", currentHardwarePageTableRatio=" + currentHardwarePageTableRatio + ", currentHugePageCount="
            + currentHugePageCount + ", currentMaximumHugePageCount=" + currentMaximumHugePageCount
            + ", currentMaximumMemory=" + currentMaximumMemory + ", currentMemory=" + currentMemory
            + ", currentMinimumHugePageCount=" + currentMinimumHugePageCount + ", currentMinimumMemory="
            + currentMinimumMemory + ", memoryExpansionEnabled=" + memoryExpansionEnabled
            + ", redundantErrorPathReportingEnabled=" + redundantErrorPathReportingEnabled
            + ", runtimeHugePageCount=" + runtimeHugePageCount + ", runtimeMemory=" + runtimeMemory
            + ", runtimeMinimumMemory=" + runtimeMinimumMemory + ", sharedMemoryEnabled=" + sharedMemoryEnabled
            + "]";
    }
}
